MWAWPropertyHandler Class Referenceabstract

a generic property handler More...

`#include <MWAWPropertyHandler.hxx>`

Inheritance diagram for MWAWPropertyHandler:

## Public Member Functions

| MWAWPropertyHandler ()
| constructor
virtual | ~MWAWPropertyHandler ()
| destructor
virtual void | insertElement (const char *psName)=0
| inserts a simple element
virtual void | insertElement (const char *psName, const librevenge::RVNGPropertyList &xPropList)=0
| inserts an element ( given a property list )
virtual void | characters (librevenge::RVNGString const &sCharacters)=0
| writes a list of characters
bool | checkData (librevenge::RVNGBinaryData const &encoded)
| checks a encoded librevenge::RVNGBinaryData created by MWAWPropertyHandlerEncoder
bool | readData (librevenge::RVNGBinaryData const &encoded)
| reads a encoded librevenge::RVNGBinaryData created by MWAWPropertyHandlerEncoder

## Detailed Description

a generic property handler

## Constructor & Destructor Documentation

## MWAWPropertyHandler()

MWAWPropertyHandler::MWAWPropertyHandler | ( |  | ) |

inline

constructor

Referenced by MWAWGraphicDecoder::MWAWGraphicDecoder(), and MWAWSpreadsheetDecoder::MWAWSpreadsheetDecoder().

## ~MWAWPropertyHandler()

MWAWPropertyHandler::~MWAWPropertyHandler | ( |  | ) |

virtual

destructor

## Member Function Documentation

## characters()

virtual void MWAWPropertyHandler::characters | ( | librevenge::RVNGString const & | sCharacters | ) |

pure virtual

writes a list of characters

Implemented in MWAWGraphicDecoder, and MWAWSpreadsheetDecoder.

## checkData()

bool MWAWPropertyHandler::checkData | ( | librevenge::RVNGBinaryData const & | encoded | ) |

checks a encoded librevenge::RVNGBinaryData created by MWAWPropertyHandlerEncoder

Referenced by MWAWDocument::decodeGraphic(), and MWAWDocument::decodeSpreadsheet().

## insertElement() [1/2]

virtual void MWAWPropertyHandler::insertElement | ( | const char * | psName | ) |

pure virtual

inserts a simple element

Implemented in MWAWGraphicDecoder, and MWAWSpreadsheetDecoder.

## insertElement() [2/2]

virtual void MWAWPropertyHandler::insertElement | ( | const char * | psName,
|  | const librevenge::RVNGPropertyList & | xPropList )

pure virtual

inserts an element ( given a property list )

Implemented in MWAWGraphicDecoder, and MWAWSpreadsheetDecoder.

## readData()

bool MWAWPropertyHandler::readData | ( | librevenge::RVNGBinaryData const & | encoded | ) |

reads a encoded librevenge::RVNGBinaryData created by MWAWPropertyHandlerEncoder

Referenced by MWAWDocument::decodeGraphic(), and MWAWDocument::decodeSpreadsheet().

The documentation for this class was generated from the following files:

- MWAWPropertyHandler.hxx
- MWAWPropertyHandler.cxx